Bug 171539 - Review Request: kasablanca: Graphical FTP client
Review Request: kasablanca: Graphical FTP client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://kasablanca.berlios.de/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-22 13:30 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-22 15:13:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-10-22 13:30:47 EDT
Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kasablanca-0.4.0.2-1.spec
SRPM Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kasablanca-0.4.0.2-1.src.rpm
Description: 
Kasablanca is an ftp client for KDE, among its features are currently
encryption (auth tls) support, fxp, site bookmarks, and queued transfers.
Comment 1 Aurelien Bompard 2005-10-22 14:11:09 EDT
* Desktop file: the Categories tag should contain Application
  (wiki: PackagingGuidelines#desktop)
* Please remove the CVS tag id on top of the spec file (it mentions kbear.spec)
* As in digikamimageplugins :
  * please drop the debug_package test in make install
  * please re-add the gtk-update-cache call
Comment 2 Rex Dieter 2005-10-22 14:17:01 EDT
%changelog 
* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0.2-2
- .desktop: --add-category=Application
- %%post,%%postun: gtk-update-icon-cache
- drop CVS tags
- drop %%{?debug_package}

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kasablanca-0.4.0.2-2.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kasablanca-0.4.0.2-2.src.rpm
Comment 3 Ville Skyttä 2005-10-22 14:34:20 EDT
"Application" is not a registered desktop entry category, I wonder if it's 
still needed in recent distro versions: 
http://standards.freedesktop.org/menu-spec/latest/apa.html 
Comment 4 Rex Dieter 2005-10-22 14:37:35 EDT
> "Application" is not a registered desktop entry category

It used to, maybe it was removed recently (personally, I considered it mostly
superfluous anyway)
Comment 5 Aurelien Bompard 2005-10-22 15:04:07 EDT
Review for release 2:
* RPM name is OK
* Source kasablanca-0.4.0.2.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of kasablanca looks OK
* File list of kasablanca looks OK
* Works fine.
APPROVED

Note You need to log in before you can comment on or make changes to this bug.